[Unstable Update] 2019-07-30 - Deepin 5.0, Gimp-Help, Haskell

Hello community,

I am happy to announce another Unstable Update. Mostly we have Deepin, Kernels and Haskell updates with this one.

Update news

This update holds the following changes:

  • Deepin got updated to version 5.0
  • Gimp got updated help files
  • Lot of Haskell updates
  • Latest efforts by KDE can be reviewed via our current KDE-Dev ISO
  • Manjaro Juhraya ISOs got updated, including flatpak and snap support pre-activated: XFCE, KDE, Gnome

Give us the usual feedback and let us know what you think about this update.


Current supported Kernels

  • linux316 3.16.70
  • linux44 4.4.186 (no legacy nvidia-340 module!)
  • linux49 4.9.186
  • linux414 4.14.134
  • linux419 4.19.62
  • linux51 5.1.21 [EOL]
  • linux52 5.2.4 (no catalyst module!)
  • linux53 5.3-rc2 (not all modules build yet!)
  • linux419-rt 4.19.50_rt22
  • linux50-rt 5.0.21_rt16

Package Updates (Tue Jul 30 09:27:58 CEST 2019)

  • unstable core x86_64: 1 new and 1 removed package(s)
  • unstable extra x86_64: 9 new and 9 removed package(s)
  • unstable community x86_64: 247 new and 245 removed package(s)
:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-07-29           2019-07-30
-------------------------------------------------------------------------------
                               acorn            1:6.1.1-1            1:6.2.1-1
                      acpi_call-dkms            1.1.0-233            1.1.0-234
                                agda           2.6.0.1-11           2.6.0.1-12
                  appmenu-gtk-module              0.7.2-1              0.7.3-1
                                avfs              1.0.6-1              1.1.0-1
                            backuppc              4.3.1-1              4.3.1-2
                               blosc             1.16.3-1             1.17.0-1
                       cabal-install          2.4.0.0-116          2.4.0.0-117
                               cgrep           6.6.25-155           6.6.25-156
                             cryptol             2.7.0-21             2.7.0-22
                               darcs            2.14.2-86            2.14.2-87
                         debootstrap            1.0.114-1            1.0.115-1
                     deepin-anything              0.1.0-2              5.0.1-1
                deepin-anything-dkms              0.1.0-2              5.0.1-1
                          deepin-api             3.18.5-1              5.0.0-1
                   deepin-boot-maker           2.0.4.12-1              5.0.1-1
                   deepin-calculator             1.0.12-1              5.0.1-1
                     deepin-calendar             1.2.11-1              5.0.1-1
                        deepin-clone              1.1.4-1              5.0.1-1
               deepin-control-center            4.10.14-1              5.0.0-1
                       deepin-daemon             3.28.0-1              5.0.0-1
                         deepin-dock             4.10.8-1              5.0.0-1
                 deepin-file-manager          1:4.8.8.1-1            1:5.0.0-1
                 deepin-image-viewer             1.3.18-1              5.0.0-1
                     deepin-launcher             4.6.14-1              5.0.0-1
                       deepin-manual              2.1.0-1              5.0.0-1
                        deepin-movie         1:3.2.24.2-1            1:5.0.0-1
                        deepin-music             3.1.18-1              5.0.1-1
                deepin-network-utils              0.1.4-1              5.0.1-1
                       deepin-picker              1.6.6-1              5.0.1-1
                 deepin-polkit-agent              0.3.0-1              5.0.0-1
              deepin-qt-dbus-factory              1.1.6-1              5.0.0-1
               deepin-qt5dxcb-plugin              1.2.6-1              5.0.1-1
               deepin-qt5integration             0.3.12-3              5.0.0-1
              deepin-screen-recorder              2.8.1-1              5.0.0-1
                   deepin-screenshot              4.2.2-1              5.0.0-1
                   deepin-session-ui             4.9.14-1              5.0.0-1
              deepin-shortcut-viewer              1.3.5-1              5.0.0-1
               deepin-system-monitor              1.5.2-1              5.0.0-1
                     deepin-terminal            3.2.7.1-1              5.0.0-1
               deepin-voice-recorder              1.4.2-1              5.0.0-1
                          disomaster              0.2.0-1              5.0.0-1
                             dtkcore         1:2.0.16.3-1         1:2.0.16.4-1
                           dtkwidget           2.0.16.1-1           2.0.16.2-1
                               dtkwm             2.0.11-4             2.0.12-1
                        gimp-help-ca              2.8.2-6             2.10.0-1
                        gimp-help-da              2.8.2-6             2.10.0-1
                        gimp-help-de              2.8.2-6             2.10.0-1
                        gimp-help-el              2.8.2-6             2.10.0-1
                        gimp-help-en              2.8.2-6             2.10.0-1
                     gimp-help-en_gb              2.8.2-6             2.10.0-1
                        gimp-help-es              2.8.2-6             2.10.0-1
                        gimp-help-fr              2.8.2-6             2.10.0-1
                        gimp-help-it              2.8.2-6             2.10.0-1
                        gimp-help-ja              2.8.2-6             2.10.0-1
                        gimp-help-ko              2.8.2-6             2.10.0-1
                        gimp-help-nl              2.8.2-6             2.10.0-1
                        gimp-help-nn              2.8.2-6             2.10.0-1
                     gimp-help-pt_br              2.8.2-6             2.10.0-1
                        gimp-help-ru              2.8.2-6             2.10.0-1
                        gimp-help-sl              2.8.2-6                    -
                        gimp-help-sv              2.8.2-6                    -
                     gimp-help-zh_cn              2.8.2-6             2.10.0-1
                           git-annex         7.20190708-6         7.20190708-7
                             glances              3.1.1-1              3.1.1-2
                   golang-deepin-lib             1.10.2-1              5.0.0-1
                              gopass              1.8.5-1              1.8.6-1
                              grails             3.3.10-1              4.0.0-1
                         grails-docs             3.3.10-1              4.0.0-1
                       haskell-aeson            1.4.4.0-6            1.4.4.0-7
         haskell-aeson-better-errors          0.9.1.0-130          0.9.1.0-131
                haskell-aeson-compat             0.3.9-48             0.3.9-49
                  haskell-aeson-diff           1.1.0.7-23           1.1.0.7-24
                haskell-aeson-pretty             0.8.7-81             0.8.7-82
                    haskell-aeson-qq            0.8.2-128            0.8.2-129
                haskell-authenticate            1.3.4-318            1.3.4-319
          haskell-authenticate-oauth               1.6-98               1.6-99
                         haskell-aws            0.21.1-72            0.21.1-73
              haskell-binary-orphans          0.1.8.0-103          0.1.8.0-104
               haskell-binary-tagged               0.2-13               0.2-14
                  haskell-bower-json          1.0.0.1-128          1.0.0.1-129
   haskell-bytestring-strict-builder            0.4.5.3-8            0.4.5.3-9
     haskell-bytestring-tree-builder           0.2.7.3-13           0.2.7.3-14
                     haskell-cassava           0.5.1.0-77           0.5.1.0-78
          haskell-cassava-megaparsec             2.0.0-34             2.0.0-35
                  haskell-cheapskate           0.1.1.1-73           0.1.1.1-74
                     haskell-concise          0.1.0.1-112          0.1.0.1-113
                   haskell-criterion           1.5.5.0-40           1.5.5.0-41
       haskell-criterion-measurement           0.1.1.0-54           0.1.1.0-55
             haskell-data-serializer             0.3.4-71             0.3.4-72
                haskell-data-textual          0.3.0.2-110          0.3.0.2-111
                         haskell-dav             1.3.3-80             1.3.3-81
              haskell-deferred-folds          0.9.10.1-12          0.9.10.1-13
                 haskell-descriptive             0.9.5-54             0.9.5-55
                haskell-doctemplates           0.2.2.1-86           0.2.2.1-87
        haskell-edit-distance-vector           1.0.0.4-25           1.0.0.4-26
                   haskell-esqueleto             3.0.0-25             3.0.0-26
                     haskell-githash           0.1.3.1-69           0.1.3.1-70
             haskell-haddock-library             1.7.0-56             1.7.0-57
                      haskell-hakyll          4.12.5.2-60          4.12.5.2-62
                       haskell-hasql           1.3.0.3-93           1.3.0.3-94
                  haskell-hasql-pool              0.5.1-2              0.5.1-3
           haskell-hasql-transaction             0.7.1-40             0.7.1-41
                haskell-hjsonpointer             1.5.0-41             1.5.0-42
                 haskell-hjsonschema            1.9.0-243            1.9.0-244
                 haskell-hledger-lib            1.14.1-35            1.14.1-36
                    haskell-hopenpgp           2.7.4.1-90           2.7.4.1-91
                       haskell-hpack            0.31.2-47            0.31.2-48
                       haskell-hslua           1.0.3.1-12           1.0.3.1-13
         haskell-hslua-module-system              0.2.1-6              0.2.1-7
           haskell-hslua-module-text             0.2.1-15             0.2.1-16
                   haskell-hspec-wai             0.9.2-53             0.9.2-54
              haskell-hspec-wai-json             0.9.2-61             0.9.2-62
                        haskell-http         4000.3.14-12         4000.3.14-13
               haskell-http-api-data              0.4.1-9             0.4.1-10
                 haskell-http-client             0.6.4-19             0.6.4-20
             haskell-http-client-tls          0.3.5.3-130          0.3.5.3-131
                haskell-http-conduit           2.3.7.1-43           2.3.7.1-44
                haskell-http-streams          0.8.6.1-127          0.8.6.1-128
                  haskell-http-types            0.12.3-22            0.12.3-23
                       haskell-http2             1.6.5-23             1.6.5-24
                         haskell-hxt          9.3.1.16-16           9.3.1.18-1
   haskell-insert-ordered-containers             0.2.2-10             0.2.2-11
                 haskell-interpolate             0.2.0-90             0.2.0-91
                       haskell-ipynb               0.1-53               0.1-54
                        haskell-jose          0.7.0.0-116          0.7.0.0-117
                   haskell-js-jquery            3.3.1-256            3.3.1-257
                  haskell-lens-aeson            1.0.2-155            1.0.2-156
             haskell-microlens-aeson           2.3.0.4-10           2.3.0.4-11
                 haskell-microstache          1.0.1.1-105          1.0.1.1-106
                    haskell-mustache            2.3.0-209            2.3.0-210
                  haskell-network-ip          0.3.0.2-101          0.3.0.2-102
             haskell-optparse-simple           0.1.1.2-38           0.1.1.2-39
                haskell-pandoc-types          1.17.5.4-41          1.17.5.4-42
                     haskell-parsers           0.12.10-13           0.12.10-14
                        haskell-path            0.6.1-110            0.6.1-111
                     haskell-path-io             1.4.2-32             1.4.2-33
                  haskell-persistent             2.9.2-41             2.9.2-42
               haskell-persistent-qq             2.9.1-45             2.9.1-46
           haskell-persistent-sqlite             2.9.3-43             2.9.3-44
         haskell-persistent-template             2.6.0-58             2.6.0-59
                  haskell-pipes-http             1.0.6-40             1.0.6-41
           haskell-postgresql-binary          0.12.1.2-54          0.12.1.2-55
        haskell-quickcheck-instances            0.3.21-11             0.3.22-1
                         haskell-sbv               8.3-10               8.3-11
                     haskell-servant            0.16.1-10            0.16.1-11
              haskell-servant-server            0.16.1-31            0.16.1-32
             haskell-servant-swagger           1.1.7.1-11           1.1.7.1-12
                       haskell-shake             0.18.3-8             0.18.3-9
                 haskell-shakespeare            2.0.20-39            2.0.20-40
                 haskell-skylighting              0.8.2-4              0.8.2-6
            haskell-skylighting-core              0.8.2-4              0.8.2-6
                 haskell-snap-server           1.1.1.1-52           1.1.1.1-54
                   haskell-sourcemap            0.1.6-137            0.1.6-138
                  haskell-statistics          0.15.0.0-32          0.15.0.0-33
                    haskell-swagger2           2.3.1.1-45           2.3.1.1-46
       haskell-tamarin-prover-theory             1.4.1-34             1.4.1-35
                   haskell-tasty-lua            0.2.0.1-5            0.2.0.1-6
                     haskell-texmath          0.11.2.2-28          0.11.2.2-29
                haskell-text-builder           0.6.5.1-15           0.6.5.1-16
                  haskell-text-short              0.1.3-2              0.1.3-3
                   haskell-tree-diff               0.1-10               0.1-11
                    haskell-trifecta                 2-48                 2-49
              haskell-uri-bytestring           0.3.2.1-36           0.3.2.1-37
                         haskell-wai            3.2.2.1-7            3.2.2.1-8
              haskell-wai-app-static           3.1.6.3-76           3.1.6.3-77
                 haskell-wai-conduit          3.0.0.4-130          3.0.0.4-131
                    haskell-wai-cors              0.2.7-9             0.2.7-10
                   haskell-wai-extra             3.0.27-5             3.0.27-6
          haskell-wai-handler-launch          3.0.2.4-192          3.0.2.4-193
                  haskell-wai-logger             2.3.5-15             2.3.5-16
       haskell-wai-middleware-static             0.8.2-79             0.8.2-80
              haskell-wai-websockets           3.0.1.2-92           3.0.1.2-93
                        haskell-warp            3.2.27-41            3.2.27-42
                    haskell-warp-tls              3.2.7-6              3.2.7-7
                        haskell-wreq           0.5.3.2-61           0.5.3.2-62
                  haskell-xml-hamlet            0.5.0-138            0.5.0-139
                        haskell-yaml           0.11.1.0-6           0.11.1.0-7
                       haskell-yesod            1.6.0-309            1.6.0-310
                  haskell-yesod-auth             1.6.7-29             1.6.7-30
                  haskell-yesod-core            1.6.14-62            1.6.14-63
               haskell-yesod-default            1.2.0-560            1.2.0-561
                  haskell-yesod-form              1.6.6-3              1.6.6-4
            haskell-yesod-persistent           1.6.0.2-61           1.6.0.2-62
                haskell-yesod-static          1.6.0.1-161          1.6.0.1-162
                  haskell-yesod-test           1.6.6.1-55           1.6.6.1-56
                             hindent              5.3.1-2              5.3.1-3
                             hledger            1.14.2-41            1.14.2-42
                         hledger-api              1.14-95              1.14-96
                          hledger-ui            1.14.2-51            1.14.2-52
                         hledger-web           1.14.1-104           1.14.1-105
                               hlint            2.1.14-50            2.1.14-51
                              hoogle          5.0.17.9-38          5.0.17.9-39
                      hopenpgp-tools            0.21.3-76            0.21.3-77
                               idris            1.3.1-101            1.3.1-102
                          keepalived             2.0.17-1             2.0.18-1
                             librime            1:1.4.0-1            1:1.5.3-1
                              marked              0.6.3-1              0.7.0-1
                                mill              0.4.2-1              0.5.0-1
                              pandoc             2.7.3-15             2.7.3-17
                     pandoc-citeproc            0.16.2-82            0.16.2-84
                     pandoc-crossref           0.3.4.1-64           0.3.4.1-66
                         pdfarranger              1.2.1-1              1.3.0-1
                       perl-sys-virt              5.4.0-1              5.5.0-1
                            pgadmin4               4.10-1               4.11-1
                           postgrest            5.2.0-125            5.2.0-126
                   powerdns-recursor             4.1.13-1              4.2.0-1
                      python-apispec              1.3.3-1              2.0.2-1
                      python-awkward             0.12.3-1             0.12.4-1
                         python-cmd2             0.9.14-1             0.9.15-1
                     python-coverage              4.5.3-1              4.5.4-1
                     python-httplib2             0.13.0-1             0.13.1-1
                   python-hypothesis             4.32.0-1             4.32.1-1
                     python-openpyxl              2.6.2-1              2.6.2-2
            python-pandas-datareader              0.7.0-1              0.7.4-1
                     python-paramiko              2.4.2-1              2.6.0-1
                  python-precis_i18n                1.0-1              1.0.1-1
                       python-pypdf2             1.26.0-1                    -
                  python-pysol_cards              0.8.3-1              0.8.4-1
                       python-pytest              4.6.4-1              5.0.1-1
                          python-pyx             0.14.1-3               0.15-1
                     python-tabulate              0.8.3-2              0.8.3-3
                      python-tornado              5.1.1-1              6.0.3-1
                     python2-apispec              1.3.3-1              2.0.2-1
                    python2-coverage              4.5.3-1              4.5.4-1
                    python2-httplib2             0.13.0-1             0.13.1-1
                  python2-hypothesis             4.32.0-1             4.32.1-1
                    python2-openpyxl              2.6.2-1              2.6.2-2
           python2-pandas-datareader              0.7.0-1                    -
                    python2-paramiko              2.4.2-1              2.6.0-1
                        ruby-sqlite3             1.3.13-3              1.4.1-1
                            sagemath                8.8-2                8.8-3
                    sagemath-jupyter                8.8-2                8.8-3
                      shared_meataxe                1.0-2                1.0-3
                          shellcheck            0.6.0-152            0.6.0-154
                             signify                 25-1                 26-1
                               stack           1.9.3.1-90           1.9.3.1-91
                            startdde             3.14.7-1              5.0.1-1
                                stow              2.3.1-1              2.3.1-2
                     stylish-haskell           0.9.2.1-48           0.9.2.1-49
                      tamarin-prover            1.4.1-119            1.4.1-120
                         udisks2-qt5              0.0.2-1              5.0.0-1
                             wlroots              0.6.0-1              0.6.0-2
                              xmobar            0.29.5-34            0.29.5-35
                        zerotier-one             1.2.12-1              1.4.0-1
                       brightnessctl                    -                0.4-2
                        gimp-help-fi                    -             2.10.0-1
                        gimp-help-ro                    -             2.10.0-1
                      python-pikepdf                    -              1.6.0-1
                            rootston                    -              0.6.0-2
                           throttled                    -                0.6-2


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-07-29           2019-07-30
-------------------------------------------------------------------------------
                         btrfs-progs                5.2-1              5.2.1-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-07-29           2019-07-30
-------------------------------------------------------------------------------
                     freecell-solver             5.10.0-1             5.12.0-1
                                gvim           8.1.1635-1           8.1.1776-1
                         libbytesize                2.0-1                2.1-1
                              python              3.7.3-2              3.7.4-1
                    python-pyparsing              2.4.0-1              2.4.2-1
                   python2-pyparsing              2.4.0-1              2.4.2-1
                                qtav             1.12.0-4             1.13.0-1
                                 vim           8.1.1635-1           8.1.1776-1
                         vim-runtime           8.1.1635-1           8.1.1776-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

3 Likes

Pardon my ignorance but what does it mean deepin version 5.0 ? Seems rather big jump in version number(s) for most of the packages :confused:

My "guess" is that they are just standardizing the version number across all the packages, to be more-clear about which packages belong together. That's what it looks like to me, but I'm just guessing.

I'm getting this conflict:

Packages (2) linux419-ndiswrapper-1.62-1  ndiswrapper-utils-1.62-1

Total Download Size:   0.22 MiB
Total Installed Size:  0.34 MiB
Net Upgrade Size:      0.08 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 ndiswrapper-utils-1.62-1-x86_64                              36.5 KiB   244K/s 00:00 [#################################################] 100%
 linux419-ndiswrapper-1.62-1-x86_64                          185.2 KiB   444K/s 00:00 [#################################################] 100%
(2/2) checking keys in keyring                                                        [#################################################] 100%
(2/2) checking package integrity                                                      [#################################################] 100%
(2/2) loading package files                                                           [#################################################] 100%
(2/2) checking for file conflicts                                                     [#################################################] 100%
error: failed to commit transaction (conflicting files)
/usr/bin/loadndisdriver exists in both 'ndiswrapper-utils' and 'linux419-ndiswrapper'
/usr/bin/ndiswrapper exists in both 'ndiswrapper-utils' and 'linux419-ndiswrapper'
/usr/bin/ndiswrapper-buginfo exists in both 'ndiswrapper-utils' and 'linux419-ndiswrapper'
/usr/share/man/man8/loadndisdriver.8.gz exists in both 'ndiswrapper-utils' and 'linux419-ndiswrapper'
/usr/share/man/man8/ndiswrapper.8.gz exists in both 'ndiswrapper-utils' and 'linux419-ndiswrapper'
Errors occurred, no packages were upgraded.

I am having too!

arquivos conflitantes:
/usr/bin/loadndisdriver existe em ambas ndiswrapper-utils e linux419-ndiswrapper
/usr/bin/ndiswrapper existe em ambas ndiswrapper-utils e linux419-ndiswrapper
/usr/bin/ndiswrapper-buginfo existe em ambas ndiswrapper-utils e linux419-ndiswrapper
/usr/share/man/man8/loadndisdriver.8.gz existe em ambas ndiswrapper-utils e linux419-ndiswrapper
/usr/share/man/man8/ndiswrapper.8.gz existe em ambas ndiswrapper-utils e linux419-ndiswrapper

Running unstable/deepin in Virtual Box. After update, my login screen appears to be in an endless loop. I key in my password, the spinning dots show up, then back to the login screen. I reverted to my previous image and retried: same result. For the time being, I've changed that virtual machine to testing branch, which works fine.

Some went wrong in packaging. We will look into it.

3 Likes

I ignored the upgrade of both, 'ndiswrapper-utils' and 'linux419-ndiswrapper' and go on on...

Problem found - will fix it ASAP (when I'm at home) :wink:

2 Likes

@philm Nice!
I want to give another opportunity to manjaro deepin (5.0).

Is the last iso this one?
https://osdn.net/projects/manjaro-community/storage/deepin/18.1.0-pre1/

@oberon?

Which iso should I download to give a try to the new deepin 5.0 packages?

I just made the update to version 1.62-2 in unstable.
Can you please test it and give me a short feedback.

1 Like

There is no ISO with Deepin 5.0 yet.

Yes, linux419-ndiswrapper-1.62.2 installs fine. Thanks!

1 Like

I can't apply the upgrade because of this dependency problem:

error: failed to prepare transaction (could not satisfy dependencies)
:: installing nvidia-390xx-utils (390.129-1) breaks dependency 'nvidia-390xx-utils=390.116' required by linux51-nvidia-390xx

I believe this is EOL now.

Thank you, I just realize it now.
EDIT:
BTW, it is not marked as EOL in MSM :zipper_mouth_face:

1 Like

It is indeed EOL, but I thought they would still rebuild the modules for a while (to let people make the upgrade to Linux 5.2), until it gets really unsupported and get removed in the repos.

1 Like

Yes, that should probably have been done - it might have been missed.

I'm currently updating the linux-latest metapackage to avoid this issue for those using it.

Well, the problem is that even if you update linux-latest metapackage, there will still be a package conflict as long as Linux 5.1 is still on the system.

You won't be able to do the system upgrade as long as there is a package conflict.

But sure, update it. It is still due to be updated so it installs Linux 5.2 anyway, right?

Forum kindly sponsored by